POST resource/share-resources

Shares the resource in the destination community

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

Body Parameters

NameDescriptionTypeAdditional information
destination_communitiy_short_name

Community short name where the resource is going to be published

string

Required

resource_id

Resource identificator

globally unique identifier

Required

categories

Categories of the destination community

Collection of globally unique identifier

Required

publisher_email

Email of the publisher

string

Optional

Request Formats

application/json, text/json

Sample:
[
  {
    "destination_communitiy_short_name": "sample string 1",
    "resource_id": "8d4df9f1-e9a3-46b4-b04d-ba2d7dd39dbd",
    "categories": [
      "2b1d7fb9-40ae-4459-8a9f-7af7d92e17c3",
      "04762812-817d-45b8-a3b6-a45326177ab1"
    ],
    "publisher_email": "sample string 3"
  },
  {
    "destination_communitiy_short_name": "sample string 1",
    "resource_id": "8d4df9f1-e9a3-46b4-b04d-ba2d7dd39dbd",
    "categories": [
      "2b1d7fb9-40ae-4459-8a9f-7af7d92e17c3",
      "04762812-817d-45b8-a3b6-a45326177ab1"
    ],
    "publisher_email": "sample string 3"
  }
]

Response Information

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...